Loading...
Searching...
No Matches
Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF > Class Template Reference
Functions » Function implementations

Derivative of a DiscreteGlobalBasisFunction. More...

`#include <dune/functions/gridfunctions/discreteglobalbasisfunction.hh>`

Inheritance diagram for Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF >:

## Classes

class | LocalFunction
| local function evaluating the derivative in reference coordinates More...

## Public Types

using | DiscreteGlobalBasisFunction = DGBF
using | Basis = typename Base::Basis
using | Vector = typename Base::Vector
using | Domain = typename Base::Domain
using | Range = typename SignatureTraits<typename DiscreteGlobalBasisFunction::Traits::DerivativeInterface>::Range
using | Traits = Imp::GridFunctionTraits<Range(Domain), typename Base::EntitySet, DefaultDerivativeTraits, 16>
using | Coefficient
using | GridView
using | EntitySet
using | Tree
using | NodeToRangeEntry
using | LocalDomain
using | Element

## Public Member Functions

| DiscreteGlobalBasisFunctionDerivative (const std::shared_ptr< const Data > &data)
| create object from DiscreateGlobalBasisFunction data
Range | operator() (const Domain &x) const
| Evaluate the discrete grid-function derivative in global coordinates.
const Basis & | basis () const
| Return a const reference to the stored basis.
const Vector & | dofs () const
| Return the coefficients of this discrete function by reference.
const NodeToRangeEntry & | nodeToRangeEntry () const
| Return the stored node-to-range map.
const EntitySet & | entitySet () const
| Get associated set of entities the local-function can be bound to.

## Protected Attributes

std::shared_ptr< const Data > | data_

## Friends

Traits::DerivativeInterface | derivative (const DiscreteGlobalBasisFunctionDerivative &f)
LocalFunction | localFunction (const DiscreteGlobalBasisFunctionDerivative &f)
| Construct local function from a DiscreteGlobalBasisFunctionDerivative.

## Detailed Description

template<typename DGBF>
class Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF >

Derivative of a DiscreteGlobalBasisFunction.

Function returning the derivative of the given DiscreteGlobalBasisFunction with respect to global coordinates.

The function handles the mapping of coefficient blocks and basis function values to range entries analogously to the DiscreteGlobalBasisFunction. This mapping is implemented with the same algorithm but with values replace by jacobian.

Template Parameters

  DGBF | instance of the DiscreteGlobalBasisFunction this is a derivative of

## Member Typedef Documentation

## Basis

template<typename DGBF>

using Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF >::Basis = typename Base::Basis

## Coefficient

using Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< DGBF::Basis, DGBF::Vector, DGBF::NodeToRangeEntry >::Coefficient

inherited

## DiscreteGlobalBasisFunction

template<typename DGBF>

using Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF >::DiscreteGlobalBasisFunction = DGBF

## Domain

template<typename DGBF>

using Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF >::Domain = typename Base::Domain

## Element

using Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< DGBF::Basis, DGBF::Vector, DGBF::NodeToRangeEntry >::Element

inherited

## EntitySet

using Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< DGBF::Basis, DGBF::Vector, DGBF::NodeToRangeEntry >::EntitySet

inherited

## GridView

using Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< DGBF::Basis, DGBF::Vector, DGBF::NodeToRangeEntry >::GridView

inherited

## LocalDomain

using Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< DGBF::Basis, DGBF::Vector, DGBF::NodeToRangeEntry >::LocalDomain

inherited

## NodeToRangeEntry

using Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< DGBF::Basis, DGBF::Vector, DGBF::NodeToRangeEntry >::NodeToRangeEntry

inherited

## Range

template<typename DGBF>

using Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF >::Range = typename SignatureTraits<typename DiscreteGlobalBasisFunction::Traits::DerivativeInterface>::Range

## Traits

template<typename DGBF>

using Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF >::Traits = Imp::GridFunctionTraits<Range(Domain), typename Base::EntitySet, DefaultDerivativeTraits, 16>

## Tree

using Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< DGBF::Basis, DGBF::Vector, DGBF::NodeToRangeEntry >::Tree

inherited

## Vector

template<typename DGBF>

using Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF >::Vector = typename Base::Vector

## Constructor & Destructor Documentation

## DiscreteGlobalBasisFunctionDerivative()

template<typename DGBF>

Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF >::DiscreteGlobalBasisFunctionDerivative | ( | const std::shared_ptr< const Data > & | data | ) |

inline

create object from DiscreateGlobalBasisFunction data

Please call derivative(discreteGlobalBasisFunction) to create an instance of this class.

## Member Function Documentation

## basis()

const Basis & Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< DGBF::Basis, DGBF::Vector, DGBF::NodeToRangeEntry >::basis | ( |  | ) | const

inline inherited

Return a const reference to the stored basis.

## dofs()

const Vector & Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< DGBF::Basis, DGBF::Vector, DGBF::NodeToRangeEntry >::dofs | ( |  | ) | const

inline inherited

Return the coefficients of this discrete function by reference.

## entitySet()

const EntitySet & Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< DGBF::Basis, DGBF::Vector, DGBF::NodeToRangeEntry >::entitySet | ( |  | ) | const

inline inherited

Get associated set of entities the local-function can be bound to.

## nodeToRangeEntry()

const NodeToRangeEntry & Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< DGBF::Basis, DGBF::Vector, DGBF::NodeToRangeEntry >::nodeToRangeEntry | ( |  | ) | const

inline inherited

Return the stored node-to-range map.

## operator()()

template<typename DGBF>

Range Dune::Functions::DiscreteGlobalBasisFunctionDerivative< DGBF >::operator() | ( | const Domain & | x | ) | const

inline

Evaluate the discrete grid-function derivative in global coordinates.

Warning
  This has to find the element that the evaluation point is in. It is therefore very slow.

## Friends And Related Symbol Documentation

## derivative

template<typename DGBF>

Traits::DerivativeInterface derivative | ( | const DiscreteGlobalBasisFunctionDerivative< DGBF > & | f | ) |

friend

## localFunction

template<typename DGBF>

LocalFunction localFunction | ( | const DiscreteGlobalBasisFunctionDerivative< DGBF > & | f | ) |

friend

Construct local function from a DiscreteGlobalBasisFunctionDerivative.

## Member Data Documentation

## data_

std::shared_ptr<const Data> Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< DGBF::Basis, DGBF::Vector, DGBF::NodeToRangeEntry >::data_

protected inherited

The documentation for this class was generated from the following file:

- discreteglobalbasisfunction.hh